#==============================================================================
# §package      DE_EPAGES::OpenAI::Hooks::Attribute
# §state        private
#==============================================================================
package DE_EPAGES::OpenAI::Hooks::Attribute;

use strict;
use DE_EPAGES::Object::API::Factory qw ( LoadRootObject );
use DE_EPAGES::ThirdPartyConfig::API::Constants qw ( ATTRIBUTES_CATEGORY_MISC );

#========================================================================================
# §function     OnGetThirdPartyConfigAttributes
# §state        public
#----------------------------------------------------------------------------------------
# §syntax       OnGetThirdPartyConfigAttributes($hParams);
#----------------------------------------------------------------------------------------
# §description  API_GetThirdPartyConfigAttributes triggered, register attributes to be
#               configured in PBO
#----------------------------------------------------------------------------------------
# §input        $hParams | hook arguments, used keys are
#               <ul>
#                   <li>AttributesCategory
#                   <li>LanguageID
#               </ul> | ref.hash.*
#========================================================================================
sub OnGetThirdPartyConfigAttributes {
    my ($hParams) = @_;

    return unless $hParams->{'AttributesCategory'} eq ATTRIBUTES_CATEGORY_MISC;

    push(@{$hParams->{'Attributes'}}, {
        'SectionID'   => 'OpenAI',
        'SectionName' => 'OpenAI',
        'Attributes' => [
            {'ObjectID' => LoadRootObject()->id, 'AttributeAlias' => 'OpenAI_Logging'},
            {'ObjectID' => LoadRootObject()->id, 'AttributeAlias' => 'OpenAI_AccessToken'},
        ]
    });

    return;
}

1;