package DE_EPAGES::Product::t::Product;
use base DE_EPAGES::Core::API::Test;

use strict;
use Test::More tests => 1;
use Test::MockObject;
use DE_EPAGES::Product::API::XML::ProductImportHandler;

## no critic qw(ProhibitMagicNumbers)
sub testProductPrice {


    my $Handler = Test::MockObject->new;
    $Handler->mock('topID', sub {
        my $Object = Test::MockObject->new;
        $Object->mock('id', sub { return 123456; });
        return $Object;
    });
    $Handler->mock('getAttributes', sub {
        return {
            CurrencyID => 'EUR',
            ListPrice => 10,
            ManufacturerPrice => '',
            Deposit => '',
        };
    });
    local *DE_EPAGES::Object::API::XML::ObjectImportHandler::ExistsProductPrice = sub { return 1; };
    local *DE_EPAGES::Object::API::XML::ObjectImportHandler::UpdateProductPrice = sub {
        is_deeply $_[0], {
            'ManufacturerPrice' => undef,
            'CurrencyID' => 'EUR',
            'ProductID' => 123456,
            'ListPrice' => 10,
            'Deposit' => undef
        }, 'UpdateProductPrice parameters';
    };

    DE_EPAGES::Object::API::XML::ObjectImportHandler::start_ProductPrice($Handler, {});

}

sub test {
    my $self = shift;

    $self->testProductPrice;
}

__PACKAGE__->runScript;
